KImageIO class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KImageIO Class Reference

Interface to the KDE Image IO plugin architecture. More...

`#include <kimageio.h>`

List of all members.

## Public Types
enum | Mode { Reading, Writing }
| Possible image file access modes. More...
## Static Public Member Functions
void | registerFormats ()
| Registers all KImageIO supported formats.
bool | canWrite (const QString &type)
| Checks if a special type is supported for writing.
bool | canRead (const QString &type)
| Checks if a special type is supported for reading.
QStringList | types (Mode mode=Writing)
| Returns a list of all KImageIO supported formats.
QString | pattern (Mode mode=Reading)
| Returns a list of patterns of all KImageIO supported formats.
QString | suffix (const QString &type)
| Returns the suffix of an image type.
QString | typeForMime (const QString &mimeType)
| Returns the type of a MIME type.
QString | type (const QString &filename)
| Returns the type of given filename.
QStringList | mimeTypes (Mode _mode=Writing)
| Returns a list of MIME types for all KImageIO supported formats.
bool | isSupported (const QString &_mimeType, Mode _mode=Writing)
| Test to see whether a MIME type is supported to reading/writing.
QString | mimeType (const QString &_filename)
| Returns the MIME type of `_filename`.

## Detailed Description

Interface to the KDE Image IO plugin architecture.

This library allows KDE applications to read and write images in a variety of formats, transparently via the QImage and QPixmap load and save methods.

The image processing backends are written as image handlers compatible with the QImageIO handler format. The backends are loaded on demand when a particular format is requested. Each format can be identified by a unique type id string.

Formats

Currently supported formats include:

- JPEG
- XV
- EPS
- NETPBM
- PNG <write, only with newer libraries>
- TIFF
- KRL

Usage

Simply call the KImageIO::registerFormats() static method declared in kimgageio.h.

Example

    	#include<qpixmap.h>
     	#include<kimgio.h>

    	int main( int argc, char **argv )
    	{
    		....
    		KImageIO::registerFormats();

    		...	// start main program
    	}

See also:
  KImageIO, QPixmap, QImage, QImageIO

Author:
  Sirtaj Singh Kang

Version:
  Id
    kimageio.h,v 1.9 2002/09/28 14:41:42 tjansen Exp

Definition at line 62 of file kimageio.h.

## Member Enumeration Documentation

enum KImageIO::Mode

| Possible image file access modes. Used in various KImageIO static function. Definition at line 70 of file kimageio.h.

## Member Function Documentation

void KImageIO::registerFormats | ( |  | ) | `[static]`

| Registers all KImageIO supported formats. Definition at line 378 of file kimageio.cpp.

bool KImageIO::canWrite | ( | const QString & | type | ) | `[static]`

  | Checks if a special type is supported for writing. Parameters:
  the | type id of the image type
Returns: true if the image format can be written Definition at line 392 of file kimageio.cpp. References QValueList::ConstIterator().

bool KImageIO::canRead | ( | const QString & | type | ) | `[static]`

  | Checks if a special type is supported for reading. Parameters:
  the | type id of the image type
Returns: true if the image format can be read Definition at line 411 of file kimageio.cpp. References QValueList::ConstIterator().

QStringList KImageIO::types | ( | Mode | mode = Writing | ) | `[static]`

  | Returns a list of all KImageIO supported formats. Parameters:
  mode | Tells whether to retrieve modes that can be read or written.
Returns: a list of the type ids Definition at line 430 of file kimageio.cpp. References QValueList::ConstIterator(), and types(). Referenced by types().

QString KImageIO::pattern | ( | Mode | mode = Reading | ) | `[static]`

  | Returns a list of patterns of all KImageIO supported formats. These patterns can be passed to KFileDialog::getOpenFileName() or KFileDialog::getSaveFileName(), for example. Parameters:
  mode | Tells whether to retrieve modes that can be read or written.
Definition at line 384 of file kimageio.cpp.

QString KImageIO::suffix | ( | const QString & | type | ) | `[static]`

  | Returns the suffix of an image type. Parameters:
  type | the type id of the file format
Returns: the suffix of the file format or QString::null if it does not exist Definition at line 450 of file kimageio.cpp. References QValueList::ConstIterator(). Referenced by type().

QString KImageIO::typeForMime | ( | const QString & | mimeType | ) | `[static]`

  | Returns the type of a MIME type. Parameters:
  mimeType | the MIME type to search
Returns: type id of the MIME type or QString::null if the MIME type is not supported Since: 3.1 Definition at line 469 of file kimageio.cpp. References QValueList::ConstIterator().

QString KImageIO::type | ( | const QString & | filename | ) | `[static]`

  | Returns the type of given filename. Parameters:
  filename | the filename to check
Returns: if the file name's suffix is known the type id of the file type, otherwise QString::null Definition at line 488 of file kimageio.cpp. References QValueList::ConstIterator(), QString::findRev(), QString::mid(), and suffix().

QStringList KImageIO::mimeTypes | ( | Mode | _mode = Writing | ) | `[static]`

  | Returns a list of MIME types for all KImageIO supported formats. Parameters:
  mode | Tells whether to retrieve modes that can be read or written.
Returns: a list if MIME types of the supported formats Definition at line 511 of file kimageio.cpp. References QValueList::ConstIterator(). Referenced by KFileDialog::getImageOpenURL().

bool KImageIO::isSupported | ( | const QString & | _mimeType,
|  | Mode | _mode = Writing
| ) | `[static]`

  | Test to see whether a MIME type is supported to reading/writing. Parameters:
  _mimeType | the MIME type to check
  _mode | Tells whether to check for reading or writing capabilities
Returns: true if the type is supported Definition at line 533 of file kimageio.cpp. References QValueList::ConstIterator().

QString KImageIO::mimeType | ( | const QString & | _filename | ) | `[static]`

  | Returns the MIME type of `_filename`. Parameters:
  _filename | the filename to check
Returns: the MIME type of the file, or QString::null Definition at line 556 of file kimageio.cpp. References KMimeType::findByURL().

The documentation for this class was generated from the following files:

- kimageio.h
- kimageio.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:49 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001